import { UmbMediaTypeStructureServerDataSource } from './media-type-structure.server.data-source.js';
import { UmbContentTypeStructureRepositoryBase } from '../../../../content/content-type/index.js';
export class UmbMediaTypeStructureRepository extends UmbContentTypeStructureRepositoryBase {
    constructor(host) {
        super(host, UmbMediaTypeStructureServerDataSource);
    }
    get #mediaTypeDataSource() {
        return this._dataSource;
    }
    async requestAllowedParentsOf(unique) {
        return this.#mediaTypeDataSource.getAllowedParentsOf(unique);
    }
    async requestMediaTypesOf({ fileExtension, skip = 0, take = 100, }) {
        return this.#mediaTypeDataSource.getMediaTypesOfFileExtension({ fileExtension, skip, take });
    }
    async requestMediaTypesOfFolders({ skip = 0, take = 100 } = {}) {
        return this.#mediaTypeDataSource.getMediaTypesOfFolders({ skip, take });
    }
}
export default UmbMediaTypeStructureRepository;
